## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global repo dde-control-center

%if 0%{?fedora}
%global dde_prefix deepin
Name:           deepin-control-center
%else
%global dde_prefix dde
Name:           %{repo}
%endif
Version:        5.5.158
Release:        %autorelease
Summary:        New control center for Linux Deepin
# migrated to SPDX
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/%{repo}
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

Patch0:         https://raw.githubusercontent.com/archlinux/svntogit-community/60ac39ad6f703cb47cbbb24cc4c882609bad25b7/trunk/deepin-control-center-systeminfo-deepin-icon.patch

BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  %{dde_prefix}-dock-devel
BuildRequires:  dtkwidget-devel
BuildRequires:  dtkgui-devel
BuildRequires:  dtkcore-devel
BuildRequires:  %{dde_prefix}-qt-dbus-factory-devel
BuildRequires:  deepin-pw-check-devel
#BuildRequires:  deepin-pw-check-devel >= 5.1.16
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  libpwquality-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(KF5WaylandClient)
BuildRequires:  cmake(PolkitQt5-1)
BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  qt5-qtbase-private-devel
# for libQt5XkbCommonSupport.a
BuildRequires:  qt5-qtbase-static
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xext)
BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  udisks2-qt5-devel
BuildRequires:  gtest-devel
BuildRequires:  qt5-linguist
BuildRequires:  cmake
BuildRequires:  make
Requires:       %{name}-lib%{?_isa} = %{version}-%{release}
Requires:       %{dde_prefix}-account-faces
Requires:       %{dde_prefix}-api
Requires:       %{dde_prefix}-daemon
Requires:       %{dde_prefix}-qt5integration
Requires:       startdde
Requires:       %{dde_prefix}-network-core

%description
New control center for Linux Deepin.

%package lib
Summary:        Shared library for %{name}

%description lib
This package provides shared library %{name}.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}-lib%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for %{name}.

%prep
%setup -q -n %{repo}-%{version}
# sync with Arch
rm src/frame/window/icons/icons/dcc_nav_systeminfo_{42,84}px.svg

%patch -P 0 -p1

# needed for properly installing the main library
sed -i '/TARGETS/s|lib|%{_lib}|' src/frame/CMakeLists.txt

%build
export PATH=%{_qt5_bindir}:$PATH
%cmake -DDISABLE_ACTIVATOR=YES \
       -DDISABLE_AUTHENTICATION=YES \
       -DDISABLE_DEVELOPER_MODE=YES \
       -DDISABLE_RECOVERY=YES \
       -DDISABLE_SYS_UPDATE=YES \
       -DDCC_DISABLE_GRUB=YES \
       -DCMAKE_INSTALL_LIBDIR=%{_libdir}  # needed for properly installing cmake file
%cmake_build

%install
%cmake_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{repo}.desktop

%files
%doc README.md
%{_bindir}/%{repo}-wapper
%{_bindir}/%{repo}
%{_prefix}/lib/dde-grand-search-daemon/
%{_datadir}/applications/%{repo}.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/polkit-1/actions/com.deepin.*.policy
%{_datadir}/%{repo}/
%{_datadir}/dict/MainEnglishDictionary_ProbWL.txt
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/dsg/

%files lib
%license LICENSE
%{_libdir}/libdccwidgets.so

%files devel
%{_includedir}/%{repo}
%{_libdir}/cmake/DdeControlCenter/
%{_datadir}/dman/

%changelog
* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.5.158-1
- New release 5.5.158

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.77-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.77-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Aug 21 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.77-1
- New release 5.5.77

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.70-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.4.70-6
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 5.4.70-5
- Rebuild (qt5)

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 5.4.70-4
- Rebuild (qt5)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.70-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Oct 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.70-2
- Hide SystemInfo frame since it segfaults on Fedora

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.70-1
- New release 5.4.70

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0.39-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 13 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.39-1
- new upstream release: 5.3.0.39

* Thu Aug  6 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-5
- BR: qt5-qtbase-private-devel
- Applied an upstream patch to fix build with Qt 5.14
- Improve compatibility with new CMake macro

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Dec  1 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-2
- BR pkgconfig(xext)

* Mon Aug 05 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-1
- Release 5.0.0

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 27 2019 Robin Lee <cheeselee@fedoraproject.org> - 4.9.4-1
- Update to 4.9.4

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 4.9.2.1-1
- Update to 4.9.2.1

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 14 2019 Björn Esser <besser82@fedoraproject.org> - 4.8.6-2
- Rebuilt for libcrypt.so.2 (#1666033)

* Sun Dec 23 2018 mosquito <sensor.wen@gmail.com> - 4.8.6-1
- Update to 4.8.6

* Wed Dec 12 2018 mosquito <sensor.wen@gmail.com> - 4.8.2-1
- Update to 4.8.2

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 4.7.7-1
- Update to 4.7.7

* Wed Nov 21 2018 mosquito <sensor.wen@gmail.com> - 4.7.6.1-1
- Update to 4.7.6.1

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 4.7.4-1
- Update to 4.7.4

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 4.6.4-1
- Update to 4.6.4

* Fri Aug 10 2018 mosquito <sensor.wen@gmail.com> - 4.6.3-1
- Update to 4.6.3

* Thu Aug  2 2018 mosquito <sensor.wen@gmail.com> - 4.6.2-1
- Update to 4.6.2

* Fri Jul 27 2018 mosquito <sensor.wen@gmail.com> - 4.6.1-1
- Update to 4.6.1

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 23 2018 mosquito <sensor.wen@gmail.com> - 4.3.7-3
- Exclude ppc64le, ppc64 and aarch64

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Dec  2 2017 mosquito <sensor.wen@gmail.com> - 4.3.7-1
- Update to 4.3.7

* Fri Oct 27 2017 mosquito <sensor.wen@gmail.com> - 4.3.0-1
- Update to 4.3.0

* Thu Sep 21 2017 mosquito <sensor.wen@gmail.com> - 4.2.5.10-1
- Update to 4.2.5.10

* Sun Aug 20 2017 mosquito <sensor.wen@gmail.com> - 4.2.5.4-1
- Update to 4.2.5.4

* Tue Aug  1 2017 mosquito <sensor.wen@gmail.com> - 4.2.5-1
- Update to 4.2.5

* Thu Jul 20 2017 mosquito <sensor.wen@gmail.com> - 4.2.4-1.git21d68b6
- Update to 4.2.4

* Fri Jul 14 2017 mosquito <sensor.wen@gmail.com> - 4.2.3-1.git2f420f2
- Update to 4.2.3

* Fri May 19 2017 mosquito <sensor.wen@gmail.com> - 4.1.2-1.git4d3827b
- Update to 4.1.2

* Sun Feb 26 2017 mosquito <sensor.wen@gmail.com> - 4.0.7-1.git10c3be2
- Update to 4.0.7

* Sat Jan 21 2017 mosquito <sensor.wen@gmail.com> - 3.0.24-1.git481255b
- Downgrade to 3.0.24 for end user

* Sat Jan 21 2017 mosquito <sensor.wen@gmail.com> - 4.0.2-2.git8b1a736
- Fix can not start

* Thu Jan 19 2017 mosquito <sensor.wen@gmail.com> - 4.0.2-1.git8b1a736
- Update to 4.0.2

* Tue Jan 17 2017 mosquito <sensor.wen@gmail.com> - 4.0.1-1.gitd1c1c9a
- Update to 4.0.1

* Tue Dec 27 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 3.0.24-2
- Bump to newer release because of copr signature

* Fri Dec 09 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 3.0.24-1
- Upgrade to 3.0.24

* Sun Oct 09 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 3.0.21-1
- Initial package build

